import Vue from 'vue'
import VueWarehouse from 'vue-warehouse'

// Define store
<% if (typeof(options.store) !== 'undefined') { %>
import store from '<%= options.store %>'
<% } else { %>
import store from 'store'
<% } %>

// Active plugins
<% if (typeof(options.plugins) !== 'undefined') { %>
<%= options.plugins.map(plugin => `import ${'plugin_' + hash(plugin)} from '${plugin}'`).join('\n') %>
const plugins = [
  <%= options.plugins.map(plugin => 'plugin_' + hash(plugin)).join(',') %>
]
<% } else { %>
const plugins = [] 
<% } %>

// Active storages
<% if (typeof(options.plugins) !== 'undefined') { %>
<%= options.storages.map(plugin => `import ${'storage_' + hash(storage)} from '${storage}'`).join('\n') %>
const storages = [
  <%= options.storages.map(storage => 'storage_' + hash(storage)).join(',') %>
]
<% } else { %>
const storages = [] 
<% } %>

Vue.use(VueWarehouse, {
<% if (typeof(options.engine) !== 'undefined') { %> engine: <%= options.engine %>,<% } %>
  store: store,
  plugins: plugins,
  storages: storages
})